#!/usr/bin/env python
# vim:encoding=cp936
#----------------------------------------------------------------------------
# Name:         TrueIceDown.py
# Author:       XXXX
# Created:      XX/XX/XX
# Copyright:    
#----------------------------------------------------------------------------

import wx
import sys
from TrueIceDownDlg import *
from Download import *
_ = wx.GetTranslation

# WDR: classes

class TrueIceDownApp(wx.App):
    ''' Application object. '''

    def __init__(self, grab):
        wx.App.__init__(self, grab)

        # WDR: handler declarations for TrueIceDownApp

    # WDR: methods for TrueIceDownApp

    def OnInit(self):
        self.SetAppName(_("TrueIce Download"))

        url = ""
        if len(sys.argv) > 1:
            url = sys.argv[1]

        # If the URL and the filename are all provided,
        # the main dialog box won't appear.
        if len(sys.argv) > 2:
            # Download the file directly.
            DownloadFromTrueIce(None, url, sys.argv[2])
        else:
            # Popup the main dialog.
            dialog = TrueIceDownDlg(None, -1, url)
            dialog.CentreOnParent()
            dialog.ShowModal()
            dialog.Destroy()

        return True

    # WDR: handler implementations for TrueIceDownApp
